Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem("FinancialStock")> _
Public Class MoneyRate
    Inherits BaseObject
    Private _ShortName As String
    Private _Description As String
    Private _KeyValue As Double
    Private _DateFrom As Date
    Private _DateTo As Date
    Private _Active As Boolean
    Public Sub New(ByVal session As Session)
        MyBase.New(session)

    End Sub
    Property ShortName() As String
        Get
            Return _ShortName
        End Get
        Set(ByVal value As String)
            SetPropertyValue("ShortName", _ShortName, value)
        End Set
    End Property
    Property Description() As String
        Get
            Return _Description
        End Get
        Set(ByVal value As String)
            SetPropertyValue("Description", _Description, value)
        End Set
    End Property
    Property KeyValue() As Double
        Get
            Return _KeyValue
        End Get
        Set(ByVal value As Double)
            SetPropertyValue("KeyValue", _KeyValue, value)
        End Set
    End Property
    Property DateFrom() As Date
        Get
            Return _DateFrom
        End Get
        Set(ByVal value As Date)
            SetPropertyValue("DateFrom", _DateFrom, value)
        End Set
    End Property
    Property DateTo() As Date
        Get
            Return _DateTo
        End Get
        Set(ByVal value As Date)
            SetPropertyValue("DateTo", _DateTo, value)
        End Set
    End Property
    Property Active() As Boolean
        Get
            Return _Active
        End Get
        Set(ByVal value As Boolean)
            SetPropertyValue("Active", _Active, value)
        End Set
    End Property

End Class ' Kamatláb

